"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const _sfc_main = {
  __name: "main",
  setup(__props) {
    const sort = common_vendor.ref([
      {
        name: "材料包",
        imgurl: common_assets.img1
      },
      {
        name: "手持物",
        imgurl: common_assets.img2
      },
      {
        name: "头饰",
        imgurl: common_assets.img3
      },
      {
        name: "定制",
        imgurl: common_assets.img4
      },
      {
        name: "积分商城",
        imgurl: common_assets.img5
      }
    ]);
    const product_list = common_vendor.ref([
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      },
      {
        product_name: "琉璃发簪体验包",
        detail: "非遗材料包，匠心独运",
        value: "750",
        imgurl: common_assets.product_img
      }
    ]);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(sort.value, (item, index, i0) => {
          return {
            a: item.imgurl,
            b: common_vendor.t(item.name),
            c: index
          };
        }),
        b: common_vendor.f(product_list.value, (item, index, i0) => {
          return {
            a: item.imgurl,
            b: common_vendor.t(item.product_name),
            c: common_vendor.t(item.detail),
            d: common_vendor.t(item.value),
            e: index
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7e3c386d"]]);
my.createPage(MiniProgramPage);
